Bug 678654 - Change "compose*" scripts to use "bash | tee" rather than "script -c"
Change "compose*" scripts to use "bash | tee" rather than "script -c"
Status: CLOSED UPSTREAM
Product: Dogtag Certificate System
Classification: Community
Component: Build (Show other bugs)
9.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-18 14:38 EST by Matthew Harmsen
Modified: 2015-01-04 18:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 19:04:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compose diffs (TIP) (3.87 KB, patch)
2011-02-18 17:42 EST, Matthew Harmsen
jmagne: review+
Details | Diff
compose diffs (IPA_v2_RHEL_6_1_ERRATA_BRANCH) (3.87 KB, patch)
2011-02-18 17:47 EST, Matthew Harmsen
jmagne: review+
Details | Diff

  None (edit)
Description Matthew Harmsen 2011-02-18 14:38:40 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Harmsen 2011-02-18 14:41:00 EST
kwright wrote the following email on February 18, 2011:

...

Also, I believe I might have solved the mystery of the src.rpms getting created for the pki-core, ipa-pki-theme/dogtag-ipa-theme, and osutil packages. At the end of the shell script, it calls the "script" command. If you could change that from:

script -c ./package_${OSUTIL} package_${OSUTIL}.log

bash  ./package_${OSUTIL} |tee package_${OSUTIL}.log 2>&1

I think that would solve the problem. At least it has for me in my tests.
Comment 2 Matthew Harmsen 2011-02-18 15:22:59 EST
OSUTIL TIP:

# git commit -a
[master fb931ca] Bugzilla Bug #678654 - Change "compose*" scripts to use "bash | tee" rather than "script -c"
 Committer: Matthew Harmsen <mharmsen@pkilinux.sjc.redhat.com>
Your name and email address were configured automatically based
on your username and hostname. Please check that they are accurate.
You can suppress this message by setting them explicitly:

    git config --global user.name "Your Name"
    git config --global user.email you@example.com

If the identity used for this commit is wrong, you can fix it with:

    git commit --amend --author='Your Name <you@example.com>'

 1 files changed, 1 insertions(+), 1 deletions(-)

# git push
Counting objects: 5, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 401 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/osutil.git
   d6a69f2..fb931ca  master -> master
Comment 4 Matthew Harmsen 2011-02-18 17:42:00 EST
Created attachment 479621 [details]
compose diffs (TIP)
Comment 6 Matthew Harmsen 2011-02-18 17:57:10 EST
TIP:

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       scripts/compose_ipa_pki_theme_packages
M       scripts/compose_pki_kra_packages
M       scripts/compose_pki_tks_packages
M       scripts/compose_pki_console_packages
M       scripts/compose_pki_ra_packages
M       scripts/compose_pki_ocsp_packages
M       scripts/compose_pki_tps_packages
M       scripts/compose_dogtag_pki_theme_packages
M       scripts/compose_pki_core_packages
M       scripts/compose_pki_migrate_packages

# svn commit
Sending        scripts/compose_dogtag_pki_theme_packages
Sending        scripts/compose_ipa_pki_theme_packages
Sending        scripts/compose_pki_console_packages
Sending        scripts/compose_pki_core_packages
Sending        scripts/compose_pki_kra_packages
Sending        scripts/compose_pki_migrate_packages
Sending        scripts/compose_pki_ocsp_packages
Sending        scripts/compose_pki_ra_packages
Sending        scripts/compose_pki_tks_packages
Sending        scripts/compose_pki_tps_packages
Transmitting file data ..........
Committed revision 1856.

Note You need to log in before you can comment on or make changes to this bug.